/*
 * Class UNIX_FILE_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_164 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_164 [] = {0xFF01,237,163,0xFFFF};
static const EIF_TYPE_INDEX egt_2_164 [] = {0xFF01,163,0xFFFF};
static const EIF_TYPE_INDEX egt_3_164 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_164 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_164 [] = {0xFF01,163,0xFFFF};
static const EIF_TYPE_INDEX egt_6_164 [] = {0xFF01,163,0xFFFF};
static const EIF_TYPE_INDEX egt_7_164 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_164 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_164 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_164 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_164 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_164 [] = {0xFF01,163,0xFFFF};
static const EIF_TYPE_INDEX egt_13_164 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_164 [] = {197,0xFFFF};
static const EIF_TYPE_INDEX egt_15_164 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_16_164 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_164 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_18_164 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_19_164 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_164 [] = {0xFF01,163,0xFFFF};
static const EIF_TYPE_INDEX egt_21_164 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_164 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_164[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_164), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_164), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_164), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6370, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_164), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_164), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_164), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_164), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_164), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_164), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_164), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_164), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_164), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0147 /*163*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_164), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_164), 5010, 0},
	{EIF_GENERIC(NULL), 5011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 5013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 5014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5017, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_164), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 6202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6334, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_164), 6340, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_164), 6341, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x015B /*173*/), 6343, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_164), 6344, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_164), 6345, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_164), 6346, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6347, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 6348, 13},
	{EIF_NON_GENERIC(0x017F /*191*/), 6349, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6350, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6351, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6353, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6368, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_164), 6371, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6372, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6373, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B3 /*217*/), 6375, 4},
	{EIF_NON_GENERIC(0x012F /*151*/), 6376, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 6377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6322, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_164), 6323, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_164), 6324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6326, 0xFFFFFFFF},
};
void Init164(void)
{
	IDSC(desc_164, 0, 163);
	IDSC(desc_164 + 1, 1, 163);
	IDSC(desc_164 + 32, 81, 163);
	IDSC(desc_164 + 41, 89, 163);
	IDSC(desc_164 + 43, 61, 163);
}


#ifdef __cplusplus
}
#endif
